Subject: Re: Bugreport: core-tutorial example outdated?

From: Clemens Koller <[email-masked]>
Date: Wed, 25 Oct 2006 21:08:22 +0200

Hello, Dscho!

>>I just studied
>>http://www.kernel.org/pub/software/scm/git/docs/core-tutorial.html
> 
> Did you actually add a file with the content "Hello World\n"? If not, you 
> should not be surprised.

Argh... yes, I even adopted my numbers to my case, but I just didn't
include the /55/... 2 letter folder name in the /55/7db03de997 object names... :-(

$ ls .git/objects/??/*
.git/objects/55/7db03de997c86a4a028e1ebd3a1ceb225be238
.git/objects/f2/4c74a2e500f5ee1332c86b94199f52b1d1d962
$ git-cat-file -t 7db03de997           <- wrong!
fatal: Not a valid object name 7db03de997
$ git-cat-file -t 557db03de            <- correct!
blob

Jup, those little details... once you don't stick to any tags.
Fine! Thanks! The tutorial, too!

Best greets,

Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm.de
Phone: +49-89-741518-50